Name: vx68k.org-xllmnrd
Version: 1.1.0
Release: 1
Summary: IPv6 LLMNR responder daemon (test package)
License: GPL
AutoReqProv: no
Requires: lsb >= 3.1
Source: https://bitbucket.org/kazssym/xllmnrd/downloads/xllmnrd-%{version}.tar.gz
%description
Note: This package is for packaging tests.

xllmnrd is an IPv6 LLMNR responder daemon for GNU/Linux operating systems.  It
allows Microsoft Windows clients to get the IPv6 address of a GNU/Linux server
on the same local network _without any DNS configuration_ and reduces the need
for broadcast-based NetBIOS name resolution that is only for IPv4.
%prep
%setup -n xllmnrd-%{version}
%build
./configure --prefix=/opt/%{name} CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,--dynamic-linker=/lib/ld-lsb.so.3 -Wl,--hash-style=sysv"
make
%install
make DESTDIR="$RPM_BUILD_ROOT" install
%files
/opt/%{name}/sbin/xllmnrd
/opt/%{name}/share/man/man8/xllmnrd.8
/opt/%{name}/share/locale/*/LC_MESSAGES/xllmnrd.mo
%clean
make DESTDIR="$RPM_BUILD_ROOT" uninstall
%pre
USER=xllmnrd
if getent passwd "$USER" > /dev/null; then
  :
else
  useradd -r -d /var/run/xllmnrd -s /bin/false \
    -c 'IPv6 LLMNR responder daemon' "$USER"
fi
%post
SCRIPT=/etc/init.d/%{name}
if [ -x "$SCRIPT" ]; then
  /usr/lib/lsb/install_initd "$SCRIPT"
fi
%preun
SCRIPT=/etc/init.d/%{name}
if [ -x "$SCRIPT" ]; then
  /usr/lib/lsb/remove_initd "$SCRIPT"
fi
